Get a rig profile
GET
/v1/rig-profiles/{id}curl -X GET 'https://api.embodiflow.io/v1/rig-profiles/{id}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- idstring必填
响应
Success
- dataobject必填
- idstring必填
- namestring必填
- statusstring必填可选值draftpublished
- sourceRecordingIdstring | null必填
- latestRevisionnumber | null必填
- publishedAtstring | null必填
- createdAtstring必填
- updatedAtstring必填
- draftobject必填
- needsConfirmationarray<string>必填
- factsobject | null必填
- revisionsarray<object>必填
响应示例
{
"data": {
"id": "string",
"name": "string",
"status": "draft",
"sourceRecordingId": "string",
"latestRevision": 0,
"publishedAt": "string",
"createdAt": "string",
"updatedAt": "string",
"draft": {
"profile": "string",
"sourceKind": "human",
"robotType": "string",
"match": {
"topics": [
"string"
],
"emptyTopics": [
"string"
],
"sidecar": "string",
"deviceType": "string"
},
"cameras": [
{
"topic": "string",
"key": "string",
"role": "other",
"sensor": "string",
"optional": false,
"latencyMs": 0,
"needsConfirmation": false
}
],
"stampSource": "header_stamp",
"cameraLatencyMs": 0,
"calibration": {
"distortion": "none",
"stereo": {
"left": "string",
"right": "string",
"extrinsicOn": "string",
"meaning": "string"
},
"camImu": {
"on": "string",
"key": "string",
"meaning": "string",
"translationUnit": "m"
}
},
"imu": {
"topic": "string",
"frame": "string",
"features": {
"angular_velocity": "string",
"linear_acceleration": "string"
},
"orientation": "ignore"
},
"state": [
{
"topic": "string",
"names": [
"string"
],
"unit": "m",
"unnamed": false,
"range": {
"min": 0,
"max": 0
},
"semantics": "string",
"needsConfirmation": false
}
],
"action": "none",
"actionSemantics": {
"space": "robot_joint",
"representation": "absolute",
"frame": "string",
"calibrationId": "string",
"embodimentId": "string",
"controlRateHz": 0
},
"extraState": [
{
"topic": "string",
"key": "string",
"shape": [
0
],
"names": [
"string"
],
"frame": "string",
"unit": "m"
}
],
"extraAction": [
{
"topic": "string",
"key": "string",
"shape": [
0
],
"names": [
"string"
],
"frame": "string",
"unit": "m"
}
],
"dropped": [
{
"topic": "string",
"reason": "string"
}
],
"sidecarsKept": [
"string"
]
},
"needsConfirmation": [
"string"
],
"facts": {
"topics": [
{
"topic": "string",
"schema": "string",
"messageCount": 0
}
],
"stampSkewMs": [
{
"topic": "string",
"medianMs": 0
}
],
"bytesRead": 0
},
"revisions": [
{
"id": "string",
"revision": 0,
"publishedAt": "string",
"publishedBy": "string",
"documentHash": "string"
}
]
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1